# $Revision: 1.18 $, $Date: 2007/09/05 21:40:30 $
Summary:	Common netFluid Technology Function Set
Summary(pl.UTF-8):	Wspólny zestaw funkcji netFluid Technology
Name:		phlib
Version:	1.20
Release:	5
License:	GPL
Group:		Libraries
Source0:	http://www.nfluid.com/download/src/%{name}-%{version}.tgz
# Source0-md5:	521c93a461a58ab808187abbc54a39a7
Patch0:		%{name}-soname.patch
Patch1:		%{name}-types.patch
BuildRequires:	autoconf
BuildRequires:	automake
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
phlib provides the core function set used by netFluid Technology. It
provides such things as a universal double linked list, very efficient
constant memory string parsing and building, fixed memory relocatable.

%description -l pl.UTF-8
phlib udostępnia podstawowy zestaw funkcji wykorzystywanych przez
netFluid Technology. Udostępnia takie rzeczy jak uniwersalne podwójne
listy, bardzo efektywną analizę składniową i tworzenie łańcuchów w
pamięci, stałą relokację pamięci.

%package devel
Summary:	Common netFluid Technology Function Set - development files
Summary(pl.UTF-8):	Wspólny zestaw funkcji netFluid Technology - pliki dla programistów
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Development files for phlib.

%description devel -l pl.UTF-8
Pliki dla programistów do phlib.

%package static
Summary:	Common netFluid Technology Function Set - static libraries
Summary(pl.UTF-8):	Wspólny zestaw funkcji netFluid Technology - biblioteki statyczne
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
phlib static libraries.

%description static -l pl.UTF-8
Statyczne biblioteki phlib.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
cp -f /usr/share/automake/config.sub .
%{__aclocal}
%{__autoconf}
CFLAGS="%{rpmcflags} -fPIC"
%configure \
	cflags=our
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libpxtra.so.*.*
%ghost %{_libdir}/libpxtra.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libpxtra.so
%{_includedir}/%{name}

%files static
%defattr(644,root,root,755)
%{_libdir}/libpxtra.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: phlib.spec,v $
Revision 1.18  2007/09/05 21:40:30  baggins
- rel 5
- ghost soname link

Revision 1.17  2007/09/05 16:35:27  baggins
- rel 4
- fix conflicting types for 'xl_unique_filename'

Revision 1.16  2007/09/05 14:45:41  baggins
- rel 3

Revision 1.15  2007/02/13 08:06:39  glen
- tabs in preamble

Revision 1.14  2007/02/12 01:06:23  baggins
- converted to UTF-8

Revision 1.13  2006/11/09 20:57:28  glen
- strict internal deps

Revision 1.12  2006/08/08 14:38:10  sparky
- mass attack: s/%patch /%patch0 / -- usefull for overloaded %patch macro

Revision 1.11  2004/01/04 22:39:06  undefine
- release 2

Revision 1.10  2003/12/27 19:52:58  undefine
- copy config.sub from am to allow build on amd64

Revision 1.9  2003/12/05 18:08:35  undefine
- update to 1.20

Revision 1.8  2003/10/14 09:00:30  qboosh
- pl fix: don't translate part of company name

Revision 1.7  2003/10/14 08:57:15  qboosh
- added soname patch, forced to use our optflags, added ldconfig

Revision 1.6  2003/09/09 12:01:01  undefine
- add %dir %{_includedir}/%{name} do devel subpackage

Revision 1.5  2003/09/08 23:49:21  undefine
- release 1

Revision 1.4  2003/09/08 12:49:29  ankry
- some pl cosmetics

Revision 1.3  2003/09/08 12:07:42  undefine
- move *.so files to phlib subpackage

Revision 1.2  2003/09/08 11:59:36  undefine
- +x on _libdir/*.so.*

Revision 1.1  2003/09/08 11:16:50  undefine
- initital pld version based on built spec
